## Unicode Character Info

Unicode Character Info — Character info widget

## Functions

GtkWidget * | font_manager_unicode_character_info_new ()
void | font_manager_unicode_character_info_set_character_map ()

## Properties

GObject * | character-map | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_UNICODE_CHARACTER_INFO
| FontManagerUnicodeCharacterInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── FontManagerUnicodeCharacterInfo

## Implemented Interfaces

FontManagerUnicodeCharacterInfo implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <unicode-character-info.h>

## Description

Widget which displays information such as the codepoint and name of the currently selected character as well as how many codepoints are currently being displayed in the attached UnicodeCharacterMap.

## Functions

### font_manager_unicode_character_info_new ()

    GtkWidget *
    font_manager_unicode_character_info_new
                                   (void);

#### Returns

A newly created FontManagerUnicodeCharacterInfo. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_unicode_character_info_set_character_map ()

    void
    font_manager_unicode_character_info_set_character_map
                                   (FontManagerUnicodeCharacterInfo *self,
                                    FontManagerUnicodeCharacterMap *character_map);

#### Parameters

self | FontManagerUnicodeCharacterInfo |
character_map | FontManagerUnicodeCharacterMap. | [transfer none][nullable]

## Types and Values

### FONT_MANAGER_TYPE_UNICODE_CHARACTER_INFO

    #define FONT_MANAGER_TYPE_UNICODE_CHARACTER_INFO (font_manager_unicode_character_info_get_type())

### FontManagerUnicodeCharacterInfo

    typedef struct _FontManagerUnicodeCharacterInfo FontManagerUnicodeCharacterInfo;

## Property Details

### The `“character-map”` property

      “character-map”            GObject *

FontManagerUnicodeCharacterMap

Owner: FontManagerUnicodeCharacterInfo

Flags: Read / Write